Summary:	A GNU arbitrary precision library.
Name:		gmp
Version:	3.1.1
Release:	1.3.0
Packager:	Ryan W. Maple <ryan@guardiandigital.com>
Source:		ftp://ftp.gnu.org/pub/gnu/gmp/gmp-%{version}.tar.gz
Patch:		gmp-3.1.1-ia64.patch
Copyright:	LGPL 
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


%package devel
Summary: Development tools for the GNU MP arbitrary precision library.
Group: Development/Libraries
Requires: %{name} = %{version}
PreReq: /sbin/install-info

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.


%prep
%setup -q
%patch -p1

%build
  cp /usr/share/libtool/config.{sub,guess} .
  CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--target=%{_target_platform} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-mpbsd
make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%{makeinstall}
  #gzip ${RPM_BUILD_ROOT}%{_infodir}/gmp.info*
  install -m 644 gmp-mparam.h ${RPM_BUILD_ROOT}%{_includedir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
  /sbin/install-info %{_infodir}/gmp.info.gz %{_infodir}/dir

%preun devel
  if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/gmp.info.gz %{_infodir}/dir
  fi


%files
  %defattr(-,root,root)
  %doc COPYING NEWS README
  %{_libdir}/libgmp.so.*
  %{_libdir}/libmp.so.*

%files devel
  %defattr(-,root,root)
  %{_libdir}/libmp.so
  %{_libdir}/libgmp.so
  %{_libdir}/libmp.a
  %{_libdir}/libgmp.a
  %{_includedir}/mp.h
  %{_includedir}/gmp.h
  %{_includedir}/gmp-mparam.h
  %{_infodir}/gmp.info*


%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Wed Nov 21 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.1.1, Release 1.1.0
  - Initial build for Engarde v1.1 (Balestra).
  - Imported from 2.0-pre branch.  Changelog sanitized.

